Get a contact's suppressions by contact key
GET
/api/v3/contacts/keyed/{contactKey}/suppressions
const url = 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/suppressions?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/keyed/example/suppressions?api=true' \ --header 'Authorization: Bearer <token>'Same as Get a contactโs suppressions (GET /api/v3/contacts/{email}/suppressions), with the contact addressed by its contactKey instead of its email address.
Authorizations
Section titled โAuthorizations โParameters
Section titled โ Parameters โPath Parameters
Section titled โPath Parameters โ contactKey
required
string
The contactโs opaque 64-character hex key.
Query Parameters
Section titled โQuery Parameters โ api
required
boolean
Required. Set to true.
Responses
Section titled โ Responses โ200 OK. Same shape as GET /api/v3/contacts/{email}/suppressions.
Media type application/json
object
items
Full field list under GET /api/v3/contacts/{email}/suppressions.
Array<object>
object
message
string
total
integer
Example generated
{ "items": [ {} ], "message": "example", "total": 1}Still can’t find what you need? Contact support.